=== debian/changelog ===
libdrumstick (1.0.2-1) experimental; urgency=medium

  [ Alessio Treglia ]
  * New upstream version (Closes: #824771)

  [ Ross Gammon ]
  * Add myself to uploaders
  * Update copyright years
  * Update to Qt5 dependencies from Qt4
  * Extend gcc6 patch for new upstream version
  * Patch desktop file Exec key with %f
  * Patch desktop files to provide keyword entries
  * Rename library package due to SONAME bump
  * Update lintian-override according to updated package name
  * Add bindnow hardening option

 -- Ross Gammon <rosco2@ubuntu.com>  Fri, 26 Aug 2016 22:09:28 +0200

libdrumstick (0.5.0-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Build-depend on debhelper 9.
    - Build-depend on docbook-xml to prevent network access during the build.
    - Drop build-dependency on autotools-dev.
    - Remove obsolete DM-Upload-Allowed field.
    - Use canonical Vcs urls.
    - Remove libdrumstick-dbg in favour of dbysym packages.
    - Bump standards to 3.9.8.
  * debian/patches:
    - Fix FTBFS with GCC 6. (Closes: #811736)
    - Drop multiarch patches and use LIB_SUFFIX directly.
  * debian/shlibs.local:
    - Remove unused shlibs.local file.

 -- James Cowgill <jcowgill@debian.org>  Sat, 23 Jul 2016 14:10:10 +0100
